package com.ym.mec.biz.dal.dao;

import java.util.List;
import java.util.Map;

import com.ym.mec.biz.dal.dto.MusicGroupRegAndMoneyDto;
import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.dto.StudentPreRegistrationDto;
import com.ym.mec.biz.dal.entity.StudentPreRegistration;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.entity.Mapper;

public interface StudentPreRegistrationDao extends BaseDAO<Long, StudentPreRegistration> {

	StudentPreRegistration queryByMusicGroupIdAndUserId(@Param("userId") Integer userId, @Param("musicGroupId") String musicGroupId);

	StudentPreRegistration queryByMusicGroupIdAndPhone(@Param("phone") String phone, @Param("musicGroupId") String musicGroupId);

	List<StudentPreRegistration> queryByMusicGroupId(String musicGroupId);

	List<StudentPreRegistrationDto> queryListForPage(Map<String, Object> params);

	//统计第一专业
	List<Mapper> queryFirstSubjectNum(String musicGroupId);

	List<Mapper> querySecondSubjectNum(String musicGroupId);

	/**
	 * 获取乐团预报名人数
	 * @param musicGroupIds
	 * @return
	 */
	List<MusicGroupRegAndMoneyDto> getPreRegisterNum(@Param("musicGroupIds") List<String> musicGroupIds);
}
